syntax = "proto3";

package xray.app.commander;
option csharp_namespace = "Xray.App.Commander";
option go_package = "github.com/xtls/xray-core/app/commander";
option java_package = "com.xray.app.commander";
option java_multiple_files = true;

import "common/serial/typed_message.proto";

// Config is the settings for Commander.
message Config {
  // Tag of the outbound handler that handles grpc connections.
  string tag = 1;
  // Services that supported by this server. All services must implement Service
  // interface.
  repeated xray.common.serial.TypedMessage service = 2;
}

// ReflectionConfig is the placeholder config for ReflectionService.
message ReflectionConfig {}
